VARKON Version 1.15 1997-10-24

> ## sur_approx - Geometric procedure

> Creates a surface
> Description
> The function approximates a given surface (for instance a Consurf surface) to a new surface type (for instance to a bicubic surface or to facettes).
> Syntax
> sur_approx(id, ref, s_type, method, extra1, extra2:attributes);

> REF | id;
> REF | ref;
> STRING | s_type;
> INT | method;
> FLOAT | extra1;
> FLOAT | extra2;

> Principal parameters

> id | - Local identity
> ref | - Surface that shall be approximated
> s_type | - Output surface type
> | CUB_SUR Bicubic surface
> | FAC_SUR Facettes (B-planes)
> | RAT_SUR Not yet implemented ....
> | LFT_SUR Not yet implemented ....
> | BOX_SUR Bounding box (six FAC_PAT's) for the surface
> | BOX_PAT Patch bounding boxes
> | NURB_SUR 4:th order B-spline surface
> method | - Approximation method
> | Eq. 1: Number of patches is defined by extra1 and extra2
> | Eq. 2: The function calculates the necessary number of patches for the
> | tolerances extra1 and extra2
> | Eq. 3: Number of patches is defined by extra1 and offset by extra2
> | (only implemented for the FAC_SUR approximation)
> | Eq. 11: As method= 1 but with double facettes
> | Eq. 12: As method= 2 but with double facettes
> | Eq. 13: As method= 3 but with double
> extra1 | - Number of facettes in U direction, in U and V direction or coordinate tolerance

> Optional parameters

> extra2 | - Number of facettes in V direction, offset distance or surface normal tolerance

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible (0) or invisible (1)
> SFONT | - Solid boundary and dashed midcurves (0)
> SDASHL | - Dashlength

> Example
> sur_approx(#3, #2, "CUB_SUR", 1, 5);
> Creates a new bicubic surface #3, with five new patches in the U direction and in the V direction, i.e. there will be 25 new patches for each patch in the original surface #2. There are no checks of tolerances for this case.

VARKON Homepage | Index